Skip to content

Delete Directory File

client.beta.directories.files.delete(stringdirectoryFileID, FileDeleteParams { directory_id, organization_id, project_id } params, RequestOptionsoptions?): void
DELETE/api/v1/beta/directories/{directory_id}/files/{directory_file_id}

Delete a directory file by directory_file_id; to resolve from unique_id, list with a filter first.

ParametersExpand Collapse
directoryFileID: string
params: FileDeleteParams { directory_id, organization_id, project_id }
directory_id: string

Path param

organization_id?: string | null

Query param

formatuuid
project_id?: string | null

Query param

formatuuid

Delete Directory File

import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

await client.beta.directories.files.delete('directory_file_id', { directory_id: 'directory_id' });
Returns Examples
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/